classification
Title: IDLE: Docstrings and test for colorizer
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: cheryl.sabella, terry.reedy
Priority: normal Keywords: patch, patch, patch

Created on 2019-01-08 22:50 by cheryl.sabella, last changed 2019-02-20 00:41 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11472 merged cheryl.sabella, 2019-01-08 22:56
PR 11925 merged miss-islington, 2019-02-19 05:11
Messages (5)
msg333263 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-01-08 22:50
Add docstrings and unittests for colorizer.py.
msg335883 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-02-19 05:11
New changeset ee0f927bd8dba805a04963dbec1ad49fe830b842 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-35689: IDLE: Add docstrings and unittests for colorizer.py (GH-11472)
https://github.com/python/cpython/commit/ee0f927bd8dba805a04963dbec1ad49fe830b842
msg335886 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-02-19 05:21
Thank you for writing this.  I was NOT looking forward to tackling tests for this module.

I have thought about merging delegator and colorizer into one module, possibly with percolator included, and adding a module docstring that explains how they work together.  This would still be only a few hundred lines.  (And multiple htests in one file are not an issue.)  What do you think?

There is a suggestion in percolater that Percolater could subclass Delegator.  I have not seriously looked at that idea yet.

In the first code comment I mentioned a follow-up code change.  Did you have anything in mind to work on or did you pick this for the fun and challenge?
msg335887 - (view) Author: miss-islington (miss-islington) Date: 2019-02-19 05:30
New changeset 99e9c36b29a194d59ee4b0d8b82a72f5b0d409dd by Miss Islington (bot) in branch '3.7':
bpo-35689: IDLE: Add docstrings and unittests for colorizer.py (GH-11472)
https://github.com/python/cpython/commit/99e9c36b29a194d59ee4b0d8b82a72f5b0d409dd
msg336030 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-02-20 00:41
> I have thought about merging delegator and colorizer into one module, possibly with percolator included, and adding a module docstring that explains how they work together.  This would still be only a few hundred lines.  (And multiple htests in one file are not an issue.)  What do you think?

undo also uses delegator.Delegator as a base class.  It might be odd for it to come from colorizer.delegator.  I like the idea of explaining how they all work together though.

> I have not seriously looked at that idea yet.
Neither have I.  There are other things I'd like to get done (in this and other modules) before thinking about that one though.

> In the first code comment I mentioned a follow-up code change.

OK, I'll create an issue for that.  I *really* want to rename the `any` function too.  It took a lot of willpower to not touch it when writing the tests.  :-)

> Did you have anything in mind to work on or did you pick this for the fun and challenge?

:-)  Since the goal is to add tests for everything, I figured I'd tackle this one.  But, I specifically thought it would be good to have tests in place in order to work on #29287.
History
Date User Action Args
2019-02-20 00:41:35cheryl.sabellasetkeywords: patch, patch, patch

messages: + msg336030
2019-02-19 09:03:15terry.reedysetstatus: open -> closed

nosy: - miss-islington
keywords: patch, patch, patch
resolution: fixed
stage: patch review -> resolved
2019-02-19 05:30:57miss-islingtonsetnosy: + miss-islington
messages: + msg335887
2019-02-19 05:21:59terry.reedysetkeywords: patch, patch, patch

messages: + msg335886
2019-02-19 05:11:55miss-islingtonsetpull_requests: + pull_request11950
2019-02-19 05:11:23terry.reedysetmessages: + msg335883
2019-01-08 22:58:17cheryl.sabellasetpull_requests: - pull_request10970
2019-01-08 22:58:07cheryl.sabellasetpull_requests: - pull_request10969
2019-01-08 22:56:23cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request10970
2019-01-08 22:56:18cheryl.sabellasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10969
2019-01-08 22:56:12cheryl.sabellasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10968
2019-01-08 22:50:52cheryl.sabellacreate